## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# NodeSorter.hpp File Reference

Include dependency graph for NodeSorter.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

- class NodeSorter
    This class can sort vectors of nodes according to a select pattern. More...
- struct NodeSorter::VectorEntry
- struct NodeSorter::NodeSortKeyCompare
    Return the results of a compare of two nodes. More...

## Defines

- #define XALAN_NODESORTER_HEADER_GUARD

## Typedefs

- typedef XalanVector< double > NumberVectorTypeDecl
- typedef XalanVector< XalanDOMString > StringVectorTypeDecl

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  class MutableNodeRefList

## Define Documentation

#define XALAN_NODESORTER_HEADER_GUARD

## Typedef Documentation

typedef XalanVector<double> NumberVectorTypeDecl

typedef XalanVector<XalanDOMString> StringVectorTypeDecl

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN class MutableNodeRefList

| Author: David N. Bertoni (david_n_bertoni@lotus.com)

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.